| Irrlicht 3D Engine |

Public Member Functions | Public Attributes
irr::gui::SCursorSprite Struct Reference

structure used to set sprites as cursors. More...

`#include <ICursorControl.h>`

List of all members.

## Public Member Functions

- SCursorSprite ()
- SCursorSprite (gui::IGUISpriteBank *spriteBank, s32 spriteId, const core::position2d< s32 > &hotspot=core::position2d< s32 >(0, 0))

## Public Attributes

- core::position2d< s32 > HotSpot
- gui::IGUISpriteBank * SpriteBank
- s32 SpriteId

## Detailed Description

structure used to set sprites as cursors.

Definition at line 64 of file ICursorControl.h.

## Constructor & Destructor Documentation

irr::gui::SCursorSprite::SCursorSprite | ( |  | ) | `[inline]`

Definition at line 66 of file ICursorControl.h.

irr::gui::SCursorSprite::SCursorSprite | ( | gui::IGUISpriteBank * | spriteBank,
|  | s32 | spriteId,
|  | const core::position2d< s32 > & | hotspot = `core::position2d<s32>(0,0)`
| ) |  | `[inline]`

Definition at line 71 of file ICursorControl.h.

## Member Data Documentation

core::position2d<s32> irr::gui::SCursorSprite::HotSpot

Definition at line 78 of file ICursorControl.h.

gui::IGUISpriteBank* irr::gui::SCursorSprite::SpriteBank

Definition at line 76 of file ICursorControl.h.

s32 irr::gui::SCursorSprite::SpriteId

Definition at line 77 of file ICursorControl.h.

The documentation for this struct was generated from the following file:

- ICursorControl.h